Package Details: poezio 0.11-1

Git Clone URL: https://aur.archlinux.org/poezio.git (read-only)
Package Base: poezio
Description: A full-featured command-line irc-like xmpp (jabber) client
Upstream URL: https://poez.io
Licenses: zlib
Submitter: mathieuI
Maintainer: mathieuI
Last Packager: mathieuI
Votes: 22
Popularity: 0.016062
First Submitted: 2010-02-01 20:23
Last Updated: 2017-01-30 23:55

Dependencies (8)

Required by (0)

Sources (1)

Pinned Comments

mathieuI commented on 2017-09-01 00:08

extra/python-pyasn1-modules was updated today, which should fix your issues (I cannot reproduce).

$ cat /usr/lib/python3.6/site-packages/pyasn1_modules-0.1.1-py3.6.egg-info/requires.txt
pyasn1==0.3.3

Latest Comments

Markus00000 commented on 2017-09-11 08:33

Stopped working again. pyasn1 is now at version 0.3.4 while 0.3.3 is required.

mathieuI commented on 2017-09-01 00:08

extra/python-pyasn1-modules was updated today, which should fix your issues (I cannot reproduce).

$ cat /usr/lib/python3.6/site-packages/pyasn1_modules-0.1.1-py3.6.egg-info/requires.txt
pyasn1==0.3.3

Desdic commented on 2017-08-31 06:14

Yeah it broke with version 0.3.3 of pyasn1 .. here is the full exception:
Traceback (most recent call last):
File "/usr/lib/python3.6/site-packages/pkg_resources/__init__.py", line 658, in _build_master
ws.require(__requires__)
File "/usr/lib/python3.6/site-packages/pkg_resources/__init__.py", line 972, in require
needed = self.resolve(parse_requirements(requirements))
File "/usr/lib/python3.6/site-packages/pkg_resources/__init__.py", line 863, in resolve
raise VersionConflict(dist, req).with_context(dependent_req)
pkg_resources.ContextualVersionConflict: (pyasn1 0.3.3 (/usr/lib/python3.6/site-packages), Requirement.parse('pyasn1==0.3.2'), {'pyasn1-modules'})

During handling of the above exception, another exception occurred:

Traceback (most recent call last):
File "/usr/bin/poezio", line 6, in <module>
from pkg_resources import load_entry_point
File "/usr/lib/python3.6/site-packages/pkg_resources/__init__.py", line 3049, in <module>
@_call_aside
File "/usr/lib/python3.6/site-packages/pkg_resources/__init__.py", line 3033, in _call_aside
f(*args, **kwargs)
File "/usr/lib/python3.6/site-packages/pkg_resources/__init__.py", line 3062, in _initialize_master_working_set
working_set = WorkingSet._build_master()
File "/usr/lib/python3.6/site-packages/pkg_resources/__init__.py", line 660, in _build_master
return cls._build_from_requirements(__requires__)
File "/usr/lib/python3.6/site-packages/pkg_resources/__init__.py", line 673, in _build_from_requirements
dists = ws.resolve(reqs, Environment())
File "/usr/lib/python3.6/site-packages/pkg_resources/__init__.py", line 863, in resolve
raise VersionConflict(dist, req).with_context(dependent_req)
pkg_resources.ContextualVersionConflict: (pyasn1 0.3.3 (/usr/lib/python3.6/site-packages), Requirement.parse('pyasn1==0.3.2'), {'pyasn1-modules'})

Markus00000 commented on 2017-08-31 05:42

Stopped working when pyasn1 was updated to version 0.3.3:

pkg_resources.ContextualVersionConflict: (pyasn1 0.3.3 (/usr/lib/python3.6/site-packages), Requirement.parse('pyasn1==0.3.2'), {'pyasn1-modules'})

esmil commented on 2016-05-25 14:22

poezio won't start for me unless I have python-setuptools installed, so maybe add it as a dependency.

SamWhited commented on 2016-01-24 17:39

I think you want python-potr-git instead of pure-python-otr-git.

tristank commented on 2015-10-09 10:25

$ yaourt -S python-pyasn1-modules
$ poezio
Traceback (most recent call last):
File "/usr/bin/poezio", line 5, in <module>
from pkg_resources import load_entry_point
File "/usr/lib/python3.4/site-packages/pkg_resources/__init__.py", line 3084, in <module>
@_call_aside
File "/usr/lib/python3.4/site-packages/pkg_resources/__init__.py", line 3070, in _call_aside
f(*args, **kwargs)
File "/usr/lib/python3.4/site-packages/pkg_resources/__init__.py", line 3097, in _initialize_master_working_set
working_set = WorkingSet._build_master()
File "/usr/lib/python3.4/site-packages/pkg_resources/__init__.py", line 651, in _build_master
ws.require(__requires__)
File "/usr/lib/python3.4/site-packages/pkg_resources/__init__.py", line 952, in require
needed = self.resolve(parse_requirements(requirements))
File "/usr/lib/python3.4/site-packages/pkg_resources/__init__.py", line 839, in resolve
raise DistributionNotFound(req, requirers)
pkg_resources.DistributionNotFound: The 'pyasn1-modules' distribution was not found and is required by slixmpp

I also tried it with this packages from pacman python-pyasn1 python-pyasn1-modules without success.

mathieuI commented on 2012-08-24 17:33

Well, I may add python-dnspython to the direct dependencies, since it is not that heavy.

Anonymous comment on 2012-08-24 15:03

Anyone wondering why you can't connect to gmail, the solution is in the PKGBUILD optdepends.

Don't be a derp like me.

mathieuI commented on 2011-11-09 00:12

Updated to 0.7.2.

All comments